GET/projects/api/v3/reporting/custom/builder.json

Get custom report builder metadata.

Returns the metadata required to build a custom report (available sources, columns, filters and custom fields).

Query Params

  • Name
    customFieldsSiteLevelOnly
    Type
    boolean
    Description

    filter by custom fields at site level only

    Default
    true

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    BuilderResponse contains information about the available custom report sources.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

BuilderResponse
{
  "customReportBuilder": [
    {
      "baseType": "string",
      "charts": [
        {
          "chartId": "string",
          "createdAt": "string",
          "createdByUser": 0,
          "name": "string",
          "order": 0,
          "reportId": 0,
          "series": [
            {
              "chartId": "string",
              "color": "string",
              "columnId": 0,
              "id": 0,
              "name": "string",
              "position": 0,
              "reportId": 0,
              "type": "string"
            }
          ],
          "updatedAt": "string",
          "updatedByUser": 0,
          "visible": true
        }
      ],
      "columns": [
        {
          "category": "string",
          "name": "string"
        }
      ],
      "customfields": [
        {
          "id": 0,
          "name": "string",
          "projectId": 0,
          "type": "string",
          "unitId": 0
        }
      ],
      "filters": [
        {
          "parameterName": "string",
          "type": "string"
        }
      ],
      "summary": true
    }
  ]
}